Get Contact
curl --request GET \
--url https://api.hilos.io/api/contact/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.hilos.io/api/contact/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hilos.io/api/contact/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"canonical_phone": "<string>",
"created_by": 123,
"phone": "<string>",
"id": "<string>",
"last_updated_on": "2023-11-07T05:31:56Z",
"source": "<string>",
"notes": [
{
"id": 123,
"notes": "<string>",
"contact": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_on": "2023-11-07T05:31:56Z",
"created_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"profile_image": "<string>",
"role": "AGENT"
}
}
],
"tags": [
{
"id": 123,
"name": "<string>"
}
],
"default_assignees": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"account": 123,
"profile_image": "<string>",
"date_joined": "2023-11-07T05:31:56Z"
}
],
"inbox_contacts": [
{
"url": "<string>",
"channel": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"default_conversation_url": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"meta": {},
"external_url": "<string>",
"is_deleted": true,
"created_on": "2023-11-07T05:31:56Z",
"contact_import": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_channel": 123
}Contacts
Get an specific contact
Gets a Contact by Id.
GET
/
api
/
contact
/
{id}
Get Contact
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
Response
200 - application/json
Maximum string length:
30User ID of the user who created the contact
Phone number of the contact
UUID representing the contact ID
Maximum string length:
255Notes associated with the contact
Show child attributes
Show child attributes
Tags associated with the contact
Show child attributes
Show child attributes
ID of the default assignees for the contact
Show child attributes
Show child attributes
URL of the inbox conversation associated with the contact
Show child attributes
Show child attributes
Maximum string length:
100Maximum string length:
100Maximum string length:
254Show child attributes
Show child attributes
Maximum string length:
200Was this page helpful?

